Package org.mariadb.jdbc.internal.com.read

## Class ErrorPacket

- java.lang.Object
- - org.mariadb.jdbc.internal.com.read.ErrorPacket

    public class ErrorPacket
    extends Object

### Constructor Summary

Constructors
`ErrorPacket​(Buffer buffer)` Reading error stream.

### Method Summary

All Methods Instance Methods Concrete Methods
`short` `getErrorNumber()`
`String` `getMessage()`
`String` `getSqlState()`
`byte` `getSqlStateMarker()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ErrorPacket

    public ErrorPacket​(Buffer buffer)

Reading error stream.

Parameters:
  `buffer` - current stream rawBytes

### Method Detail

#### getMessage

    public String getMessage()

#### getErrorNumber

    public short getErrorNumber()

#### getSqlState

    public String getSqlState()

#### getSqlStateMarker

    public byte getSqlStateMarker()